Bug 701332 - Review Request: ghc-blaze-html - Fast HTML combinator library for Haskell
Review Request: ghc-blaze-html - Fast HTML combinator library for Haskell
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 677253
  Show dependency treegraph
 
Reported: 2011-05-02 11:41 EDT by Jens Petersen
Modified: 2012-06-20 08:26 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-blaze-html-0.4.1.3-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 17:59:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2011-05-02 11:41:31 EDT
Spec URL: http://petersen.fedorapeople.org/ghc-blaze-html/ghc-blaze-html.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-blaze-html/ghc-blaze-html-0.4.1.1-1.fc14.src.rpm
Description:
BlazeHtml is a blazingly fast HTML combinator library for the Haskell programming language. It embeds HTML templates in Haskell code for optimal efficiency and composability.

http://jaspervdj.be/blaze/benchmarks.html

http://koji.fedoraproject.org/koji/taskinfo?taskID=3044963
Comment 2 Narasimhan 2011-06-17 00:21:01 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint -i ghc-blaze-html-0.4.1.3-1.fc16.i686.rpm ghc-blaze-html-devel-0.4.1.3-1.fc16.i686.rpm ../ghc-blaze-html.spec  ../ghc-blaze-html-0.4.1.3-1.fc15.src.rpm 
ghc-blaze-html.i686: W: spelling-error Summary(en_US) combinator -> combinatorial, combination, combinative
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-html.i686: W: spelling-error %description -l en_US blazingly -> amazingly, trailblazing, blushingly
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-html.i686: W: spelling-error %description -l en_US combinator -> combinatorial, combination, combinative
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-html.i686: W: spelling-error %description -l en_US composability -> compos ability, compos-ability, disposability
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-html-devel.i686: W: spelling-error Summary(en_US) combinator -> combinatorial, combination, combinative
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-html-devel.i686: W: spelling-error %description -l en_US blazingly -> amazingly, trailblazing, blushingly
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-html-devel.i686: W: spelling-error %description -l en_US combinator -> combinatorial, combination, combinative
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-html-devel.i686: W: spelling-error %description -l en_US composability -> compos ability, compos-ability, disposability
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-html.src: W: spelling-error Summary(en_US) combinator -> combinatorial, combination, combinative
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-html.src: W: spelling-error %description -l en_US blazingly -> amazingly, trailblazing, blushingly
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-html.src: W: spelling-error %description -l en_US combinator -> combinatorial, combination, combinative
The value of this tag appears to be misspelled. Please double-check.
  
ghc-blaze-html.src: W: spelling-error %description -l en_US composability -> compos ability, compos-ability, disposability
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 0 errors, 12 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package.
        
A file used to generate code under Text/Blaze is not being shipped with the .tar.gz. The files under Text/Blaze mention that the  code is generated from another file however that file(Utils/GenerateHtmlCombinators.hs) is not present in the source package hosted in hackage. The git repository contains those files. IMO, upstream should be requested to include these pieces of code in the .tar.gz even if it is not directly used to generate .so or .a. 

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
Licensed with BSD 3 clause license.
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum  blaze-html-0.4.1.3.tar.gz 
599933bc2d3f583be06aed4350e68bc0  blaze-html-0.4.1.3.tar.gz

md5sum ghc-blaze-html-0.4.1.3-1.fc15.src/blaze-html-0.4.1.3.tar.gz 
599933bc2d3f583be06aed4350e68bc0  ghc-blaze-html-0.4.1.3-1.fc15.src/blaze-html-0.4.1.3.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on i686 and x86_64 (f16). i686 (f14).
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}

rpm -e ghc-blaze-html
error: Failed dependencies:
        ghc-blaze-html = 0.4.1.3-1.fc14 is needed by (installed) ghc-blaze-html-devel-0.4.1.3-1.fc14.i686


rpm -e ghc-blaze-html-devel
error: Failed dependencies:
        ghc-blaze-html-devel = 0.4.1.3-1.fc14 is needed by (installed) ghc-blaze-html-prof-0.4.1.3-1.fc14.i686

[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Builds and installs fine. Imported Text.Blaze in ghci. No issues found.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.

(Not a blocker) A file used to generate code under Text/Blaze is not being shipped with the .tar.gz. The files under Text/Blaze mention that the  code is generated from another file. However that file(Utils/GenerateHtmlCombinators.hs) is not present in the source package hosted in hackage. The git repository contains those files. IMO, upstream should be requested to include these pieces of code in the .tar.gz even if it is not directly used to generate .so or .a.
Comment 3 Jens Petersen 2011-06-17 01:42:08 EDT
Thanks for the review.


New Package SCM Request
=======================
Package Name: ghc-blaze-html
Short Description: Fast HTML combinator library for Haskell
Owners: petersen
Branches: f14 f15
InitialCC: haskell-sig
Comment 4 Jon Ciesla 2011-06-17 08:02:55 EDT
Git done (by process-git-requests).
Comment 5 Jens Petersen 2011-06-18 03:33:23 EDT
(In reply to comment #2)
> A file used to generate code under Text/Blaze is not being
> shipped with the .tar.gz. The files under Text/Blaze mention that the  code is
> generated from another file. However that
> file(Utils/GenerateHtmlCombinators.hs) is not present in the source package
> hosted in hackage.

Ok, thanks for pointing that out - I sent Jasper a mail asking
if he would consider adding the file to the package.
Comment 6 Fedora Update System 2011-06-18 04:04:23 EDT
ghc-blaze-html-0.4.1.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-blaze-html-0.4.1.3-1.fc14
Comment 7 Fedora Update System 2011-06-18 04:04:30 EDT
ghc-blaze-html-0.4.1.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-blaze-html-0.4.1.3-1.fc15
Comment 8 Fedora Update System 2011-06-21 13:17:06 EDT
ghc-blaze-html-0.4.1.3-1.fc14 has been pushed to the Fedora 14 testing repository.
Comment 9 Fedora Update System 2011-06-29 17:59:40 EDT
ghc-blaze-html-0.4.1.3-1.fc14 has been pushed to the Fedora 14 stable repository.
Comment 10 Fedora Update System 2011-06-29 18:02:35 EDT
ghc-blaze-html-0.4.1.3-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 11 Jens Petersen 2012-06-20 04:34:29 EDT
Package Change Request
======================
Package Name: ghc-blaze-html
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 12 Jon Ciesla 2012-06-20 08:26:09 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.